# external library requisites
#    sudo pip install networkx
#   sudo apt-get install python-matplotlib
#
# windows exe installer
#   sudo pip install pyinstaller
#   python /{python27}/Scripts/pyinstaller graph.py
#
# Input: "edges.txt" in the same folder, with the edges of a graph, in python format list. E.g.: [(1,2), (2,3), (3,4), (2,4)]
# Output: "graph.png" 800x600 png image file with the drawn graph E.g.: 1 --> 2 --> 3
#																			  | --> 4	
#

import sys
import networkx as nx
import matplotlib.pyplot as plt

f = open("edges.txt", 'r')
content = eval(f.read())
f.close()

G=nx.DiGraph()
G.add_edges_from(content)
nx.draw(G, with_labels=True, node_size=1, alpha=0.2, font_size=10)

# plt.savefig("graph.png", figsize=(6,6), dpi=125)  for Windows
plt.savefig("graph.png", figsize=(5,5), dpi=100)

